Bug 238121 - astro/cfitsio: Unresolved symbols in the shared library: deflate, deflateEnd, inflate, etc
Summary: astro/cfitsio: Unresolved symbols in the shared library: deflate, deflateEnd,...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-25 20:05 UTC by Yuri Victorovich
Modified: 2019-08-31 22:04 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-05-25 20:05:27 UTC
Testcase: the port science/healpix fails to build because of missing symbols in lib/libcfitsio.so:
ld: error: /usr/local/lib/libcfitsio.so: undefined reference to deflate
ld: error: /usr/local/lib/libcfitsio.so: undefined reference to deflateEnd
ld: error: /usr/local/lib/libcfitsio.so: undefined reference to deflateInit2_
ld: error: /usr/local/lib/libcfitsio.so: undefined reference to inflate
ld: error: /usr/local/lib/libcfitsio.so: undefined reference to inflateEnd
ld: error: /usr/local/lib/libcfitsio.so: undefined reference to inflateInit2_
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 1 ota 2019-08-26 14:10:17 UTC
-lz is missing.
zlib provides these symbols.
Comment 2 commit-hook freebsd_committer 2019-08-31 22:00:12 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Aug 31 22:00:03 UTC 2019
New revision: 510465
URL: https://svnweb.freebsd.org/changeset/ports/510465

Log:
  Use bundled zlib

  - Bump PORTREVISION for package change

  PR:		238121
  Reported by:	yuri

Changes:
  head/astro/cfitsio/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-08-31 22:04:05 UTC
Committed. Thanks!